### Enumeration

# Gimp PDBProcType

#### Declaration

    enum Gimp.PDBProcType

#### Description [src]

Types of PDB procedures.

#### Members

`GIMP_PDB_PROC_TYPE_INTERNAL`

  Internal GIMP procedure.

  - Value: `0`
  - Available since: 3.0
`GIMP_PDB_PROC_TYPE_PLUGIN`

  GIMP Plug-In.

  - Value: `1`
  - Available since: 3.0
`GIMP_PDB_PROC_TYPE_PERSISTENT`

  GIMP Persistent Plug-in.

  - Value: `2`
  - Available since: 3.0
`GIMP_PDB_PROC_TYPE_TEMPORARY`

  Temporary Procedure.

  - Value: `3`
  - Available since: 3.0